## gusb-endpoint gusb-endpoint — GLib wrapper around a USB endpoint. |

## Functions

guint8 | g_usb_endpoint_get_kind ()
guint16 | g_usb_endpoint_get_maximum_packet_size ()
guint8 | g_usb_endpoint_get_polling_interval ()
guint8 | g_usb_endpoint_get_refresh ()
guint8 | g_usb_endpoint_get_synch_address ()
guint8 | g_usb_endpoint_get_address ()
guint8 | g_usb_endpoint_get_number ()
GUsbDeviceDirection | g_usb_endpoint_get_direction ()
GBytes * | g_usb_endpoint_get_extra ()

## Types and Values

#define | G_USB_TYPE_ENDPOINT
| GUsbEndpoint

## Description

This object is a thin glib wrapper around a libusb_endpoint_descriptor.

All the data is copied when the object is created and the original descriptor can be destroyed any at point.

## Functions

### g_usb_endpoint_get_kind ()

    guint8
    g_usb_endpoint_get_kind (GUsbEndpoint *endpoint);

Gets the type of endpoint.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The 8-bit type

Since: 0.3.3

### g_usb_endpoint_get_maximum_packet_size ()

    guint16
    g_usb_endpoint_get_maximum_packet_size
                                   (GUsbEndpoint *endpoint);

Gets the maximum packet size this endpoint is capable of sending/receiving.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The maximum packet size

Since: 0.3.3

### g_usb_endpoint_get_polling_interval ()

    guint8
    g_usb_endpoint_get_polling_interval (GUsbEndpoint *endpoint);

Gets the endpoint polling interval.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The endpoint polling interval

Since: 0.3.3

### g_usb_endpoint_get_refresh ()

    guint8
    g_usb_endpoint_get_refresh (GUsbEndpoint *endpoint);

Gets the rate at which synchronization feedback is provided, for audio device only.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The endpoint refresh

Since: 0.3.3

### g_usb_endpoint_get_synch_address ()

    guint8
    g_usb_endpoint_get_synch_address (GUsbEndpoint *endpoint);

Gets the address if the synch endpoint, for audio device only.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The synch endpoint address

Since: 0.3.3

### g_usb_endpoint_get_address ()

    guint8
    g_usb_endpoint_get_address (GUsbEndpoint *endpoint);

Gets the address of the endpoint.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The 4-bit endpoint address

Since: 0.3.3

### g_usb_endpoint_get_number ()

    guint8
    g_usb_endpoint_get_number (GUsbEndpoint *endpoint);

Gets the number part of endpoint address.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The lower 4-bit of endpoint address

Since: 0.3.3

### g_usb_endpoint_get_direction ()

    GUsbDeviceDirection
    g_usb_endpoint_get_direction (GUsbEndpoint *endpoint);

Gets the direction of the endpoint.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

The endpoint direction

Since: 0.3.3

### g_usb_endpoint_get_extra ()

    GBytes *
    g_usb_endpoint_get_extra (GUsbEndpoint *endpoint);

Gets any extra data from the endpoint.

#### Parameters

endpoint | a GUsbEndpoint |

#### Returns

a GBytes, or `NULL` for failure.

[transfer none]

Since: 0.3.3

## Types and Values

### G_USB_TYPE_ENDPOINT

    #define G_USB_TYPE_ENDPOINT (g_usb_endpoint_get_type ())

### GUsbEndpoint

    typedef struct _GUsbEndpoint GUsbEndpoint;